package com.kym.entity.common;

import java.io.Serializable;
import java.util.Date;


/**
 * 描述: Tag组件参数
 * create at 2021/2/17 21:11
 *
 * @author yaop
 */
public class SimpleVo implements Serializable {

    public long id;

    public String name;

    public SimpleVo() {
    }

    public SimpleVo(long id, String name) {
        this.id = id;
        this.name = name;
    }



    public static class SimpleAttachVo extends SimpleVo {
        public String uid;
        public long size;
        public String createName;
        public Date createAt;

        public SimpleAttachVo() {
        }

        public SimpleAttachVo(long id, String name) {
            super(id, name);
        }

        public SimpleAttachVo(long id, String name, String uid) {
            super(id, name);
            this.uid = uid;
        }
    }


    public static class SimpleUserVo extends SimpleVo {
        public String image;
        public String departName;

        public SimpleUserVo() {
        }

        public SimpleUserVo(long id, String name) {
            super(id, name);
        }

        public SimpleUserVo(long id, String name, String image) {
            super(id, name);
            this.image = image;
        }


        public SimpleUserVo(long id, String name, String image, String departName) {
            super(id, name);
            this.image = image;
            this.departName = departName;
        }
    }

    public static class SimpleUserStatusVo extends SimpleVo {
        public String image;
        public boolean pass;

        public SimpleUserStatusVo() {
        }

        public SimpleUserStatusVo(long id, String name) {
            super(id, name);
        }

        public SimpleUserStatusVo(long id, String name, String image, boolean pass) {
            super(id, name);
            this.image = image;
            this.pass = pass;
        }
    }

}
